%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif
# Can be removed after EOL of F12

Name:           python-shapely
Version:        1.2.13
Release:        1%{?dist}
Summary:        Geometric objects, predicates, and operations

Group:          Development/Libraries
License:        BSD
URL:            http://trac.gispython.org/lab/wiki/Shapely
#Source0:        http://gispython.org/dist/Shapely-%{version}.tar.gz
Source0:        http://pypi.python.org/packages/source/S/Shapely/Shapely-%{version}.tar.gz

Patch0:         %{name}-1.2.12-re-run_cython.patch

BuildRequires:  Cython
BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  geos-devel
#Tests use numpy, but tests are broken for the time being
BuildRequires:  numpy

# We don't want to provide private python extension libs
%{?filter_setup:
%filter_provides_in %{python_sitearch}/.*\.so$ 
%filter_setup
}

%description
Shapely is a package for creation, manipulation, and analysis
of planar geometry objects – designed especially for developers
of cutting edge geographic information systems. In a nutshell:
Shapely lets you do PostGIS-ish stuff outside the context of a
database using idiomatic Python.

You can use this package with python-matplotlib and numpy.
See README.txt for more information!


%prep
%setup -q -n Shapely-%{version}

# Taken from Debian:
# Description: Generate .pyx at compile time.
# Shapely is distributed with the .pyx Cython file already transformed into a .c
# file. This patch imports the modified "build_ext" from the Cython Distutils,
# and then feeds it the .pyx (rather than .c) file.
# http://archive.ubuntu.com/ubuntu/pool/universe/p/python-shapely/python-shapely_1.2.10-1ubuntu1.debian.tar.gz
%patch0 -p1 -b .cython


%build
%{__python} setup.py build
# TODO: Revisit Cython debugging
# http://docs.cython.org/src/userguide/debugging.html


%check
# Tests fail
# Sean Gillies, one of the authors, said, it was safe to ship either way
# http://trac.gispython.org/lab/ticket/244
%{__python} setup.py test || true


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc CHANGES.txt README.rst CREDITS.txt LICENSE.txt
%doc PKG-INFO docs
%doc %{python_sitearch}/shapely/examples
%exclude %{python_sitearch}/shapely/tests
%{python_sitearch}/shapely/algorithms
%{python_sitearch}/shapely/geometry
%{python_sitearch}/shapely/speedups
%{python_sitearch}/shapely/*.py*
%{python_sitearch}/Shapely-%{version}-py*.egg-info


%changelog
* Mon Aug 16 2011 Volker Fröhlich <volker27@gmx.at> - 1.2.13-1
- Update for release 1.2.13

* Mon Aug 16 2011 Volker Fröhlich <volker27@gmx.at> - 1.2.12-1
- Update for release 1.2.12
- Don't ship tests
- Label examples as documentation

* Mon Aug 15 2011 Volker Fröhlich <volker27@gmx.at> - 1.2.11-2
- BR numpy for the tests

* Mon Aug 15 2011 Ville Skyttä <ville.skytta@iki.fi> - 1.2.11-2
- BR geos-devel to actually build arch specific bits
- Drop unneeded geos dep

* Fri Aug 12 2011 Volker Fröhlich <volker27@gmx.at> - 1.2.11-1 
- Updated for 1.2.11
- Switch away from noarch
- Remove useless clean section and rm in install
- Debian patch to rebuild Cython .c file
- Avoid private provides for .so
- Extend package description

* Fri Apr 01 2011 Volker Fröhlich <volker27@gmx.at> - 1.2.9-1 
- Updated for 1.2.9
- Added tests again, but ignore the results

* Sat Feb 25 2011 Volker Fröhlich <volker27@gmx.at> - 1.2.8-1 
- Updated for 1.2.8
- Disable tests

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 27 2010 Volker Fröhlich <volker27@gmx.at> - 1.2.7-2 
- Explained excluded files; added check section

* Wed Nov 24 2010 Volker Fröhlich <volker27@gmx.at> - 1.2.7-1 
- Initial package for Fedora
